@echo off
\dev\tools\deltree /y d:\dev\temp\tmp_*.* >nul

ECHO GoRC...
CD res
\dev\tools\gorc /r /ni /nw /fo \dev\temp\tmp_lnen.res lng_en.rc
\dev\tools\gorc /r /ni /nw /fo \dev\temp\tmp_twin.res thm_win.rc
\dev\tools\gorc /r /ni /nw /fo ..\Calaym_IDE.res exe.rc

ECHO FAsm...
copy lng_en.fasm \dev\temp\tmp_lnen.asm /y >NUL
copy thm_win.fasm \dev\temp\tmp_twin.asm /y >NUL

\dev\tools\fasmc \dev\temp\tmp_lnen.asm
\dev\tools\fasmc \dev\temp\tmp_twin.asm

ECHO PostVFix...
\dev\tools\PostVFix.exe \dev\temp\tmp_lnen.dll \dev\temp\tmp_lnen.lng
\dev\tools\PostVFix.exe \dev\temp\tmp_twin.dll \dev\temp\tmp_twin.icl

ECHO Upx...
\dev\tools\upx -qqq --best \dev\temp\tmp_lnen.lng
\dev\tools\upx -qqq --best \dev\temp\tmp_twin.icl

ECHO Copy...
\dev\tools\copytovb \dev\temp\tmp_lnen.lng
\dev\tools\copytovb \dev\temp\tmp_twin.icl

ECHO Layer...
call \dev\software\libraries\ctsslay\#makeVB.bat
echo Done.